<?php
if($this->config->inQuickon)
{
    parent::storeView($id);
    $instance   = $this->view->instance;
    $alerts     = $this->loadModel('cne')->getAppAlerts($instance);
    $showAlerts = $this->loadModel('space')->getAllAlerts($alerts);
    $instance->monitor = empty($showAlerts[$instance->id]) ? array() : $showAlerts[$instance->id];
    if(isset($instance->monitor['warning']['tips'])) $alert = 'warning';
    if(isset($instance->monitor['danger']['tips']))  $alert = 'danger';
    if(isset($alert)) $this->view->monitor = array('class' => "{$alert}-pale", 'tips' => $instance->monitor[$alert]['tips']);
    return;
}
